package com.webview;

import android.app.Activity;
import android.os.Bundle;
import android.webkit.WebView;

/**
 * Author: Gonzalo de Crdoba Snchez Yvenes
 * 223/08/2011
 * 
 * Para tutorialandroid.com
 * 
 * En este ejemplo se explica un ejemplo de un Webview, el cual
 * nos ayuda a encapsular un fichero HTML (ya sea local o en
 * internet) en nuestra aplicacin, conservando estilos.
 * 
 */
public class Principal extends Activity {
    
	//Nuestra vista necesaria para la web
	private WebView mWebView;    

    @Override
    public void onCreate(Bundle icicle) {
        super.onCreate(icicle);
        setContentView(R.layout.main);

        //asociamos 
        mWebView = (WebView) findViewById(R.id.webview);                    

        //cargo un .html que he situado en la carpeta asset/ del proyecto 
        mWebView.loadUrl("file:///android_asset/ejemploWebview.html");
        //mWebView.loadUrl("http://www.tutorialandroid.com");
    }
    
}
